Nextcloud 系统要求

2020年03月19日 · nextcloud · 技术帮助分享 · 81次阅读
------正---文------

服务器

为了获得最佳的性能、稳定性和功能,我们记录了一些关于运行NextCloud服务器的建议。

平台备选方案
操作系统
  • Ubuntu 18.04 LTS(建议)

  • 红帽企业Linux 8(建议)

  • Debian 10(Buster)

  • SUSE Linux企业服务器15

  • openSUSE Leap 42.1+

  • CentOS 8

数据库
  • MySQL 5.6+或MariaDB 5.5、10.1+(建议)

  • Oracle数据库11g(仅作为企业订阅的一部分)

  • PostgreSQL 9.5/9.6/10/11

  • SQLite(只推荐用于测试和最小实例。)

网络服务器
  • Apache 2.4 mod_php  php-fpm(建议)

  • Nginxphp-fpm

PHP运行时
  • 7.2

  • 7.3 (推荐)

  • 7.4 (推荐)

内存

运行NextCloud服务器的内存需求有很大的变化,这取决于用户数量、应用程序、文件和服务器活动的数量。

NextCloud至少需要128 MB拉姆,我们建议512 MB.

MySQL/MariaDB的数据库需求

如果与MySQL/MariaDB数据库一起运行NextCloud,则当前需要以下内容:

  • InnoDB存储引擎(不支持MyISAM)

  • “ReadCommeded”事务隔离级别

  • 禁用或BINLOG_Format=行配置二进制日志记录

  • 支持emoji(UTF 8 4字节),启用MySQL 4字节支持(即UTF8mb4)

桌面客户端

我们强烈建议使用您的最新版本的操作系统,以获得充分和最稳定的经验,从我们的客户。

  • Windows 7+

  • MacOS (10.7)+(仅64位)

  • linux(CentOS 6.5+,Ubuntu 14.04+,Fedora 21+,openSUSE 13,SUSE Linux Enterprise 11 SP3+,Debian 8(Jessie)+,Red Hat Enterprise Linux 7)

移动应用程序

我们强烈建议使用最新版本的移动操作系统,以获得充分和最稳定的经验,从我们的移动应用程序。

  • IOS10.x+

  • 安卓4.x+

Web浏览器

为了获得使用NextCloud Web接口的最佳体验,我们建议您使用此列表中最新的、受支持的浏览器版本,或者基于这些版本的浏览器:

  • 微软Internet Explorer 11(最新版本)

  • Microsoft Edge

  • Mozilla Firefox

  • Google Chrome/Chromium

  • Apple Safari



------结---束------

『静谧星河』采用《署名-相同方式共享 4.0 国际》进行许可。如需转载请保留本文地址。
本文地址:
https://www.yuvin.cn/nextcloud/119.html

支持我

教程帮助nextcloud

静谧星河最后编辑于3个月前


因本站不提供交互式服务,评论均需审核后显示,敬请谅解。

添加新评论

captcha

请输入验证码